Watch, Follow, &
Connect with Us

Please visit our new home
community.embarcadero.com.


Welcome, Guest
Guest Settings
Help

Thread: Tee916.LIB not found


This question is answered. Helpful answers available: 2. Correct answers available: 1.


Permlink Replies: 6 - Last Post: Dec 6, 2017 12:56 AM Last Post By: Victor Schabort Threads: [ Previous | Next ]
Victor Schabort

Posts: 8
Registered: 12/23/11
Tee916.LIB not found  
Click to report abuse...   Click to reply to this thread Reply
  Posted: Nov 9, 2017 2:34 AM
[ILINK32 Error] Fatal: Unable to open file 'TEE916.LIB'

Using C++ Builder XE2 currently.....

Cannot find this .LIB....

Where can I find this .lib file?
Johannes Weinert

Posts: 90
Registered: 7/19/02
Re: Tee916.LIB not found  
Click to report abuse...   Click to reply to this thread Reply
  Posted: Nov 9, 2017 11:36 PM   in response to: Victor Schabort in response to: Victor Schabort
Victor,

I am pretty sure that the lib is part of the TeeChart Pro package.
TeeChart Pro is not part of the C++Builder, only TeeChart Standard is.
For TeeChart Standard the file Tee.lib should exist.

The error can also happen if you build a project which was created with
an older version of TeeChart Pro than currently installed.

HTH,

Hans

Am 09.11.2017 um 11:34 schrieb Victor Schabort:
[ILINK32 Error] Fatal: Unable to open file 'TEE916.LIB'

Using C++ Builder XE2 currently.....

Cannot find this .LIB....

Where can I find this .lib file?
Fraser Ross

Posts: 35
Registered: 1/15/99
Re: Tee916.LIB not found  
Click to report abuse...   Click to reply to this thread Reply
  Posted: Nov 10, 2017 1:53 AM   in response to: Johannes Weinert in response to: Johannes Weinert
I have Tee925.lib and TeePro925.lib so your file appears to be with the
standard version. Installing the current version for XE2 would be
easier than manually checking things.

Fraser.


On 10/11/2017 07:36, Johannes Weinert wrote:

Victor,

I am pretty sure that the lib is part of the TeeChart Pro package.
TeeChart Pro is not part of the C++Builder, only TeeChart Standard is.
For TeeChart Standard the file Tee.lib should exist.

The error can also happen if you build a project which was created with
an older version of TeeChart Pro than currently installed.

HTH,

Hans

Am 09.11.2017 um 11:34 schrieb Victor Schabort:
[ILINK32 Error] Fatal: Unable to open file 'TEE916.LIB'

Using C++ Builder XE2 currently.....

Cannot find this .LIB....

Where can I find this .lib file?
Fraser Ross

Posts: 35
Registered: 1/15/99
Re: Tee916.LIB not found  
Click to report abuse...   Click to reply to this thread Reply
  Posted: Nov 10, 2017 1:55 AM   in response to: Johannes Weinert in response to: Johannes Weinert
I have Tee925.lib and TeePro925.lib so your file appears to be with the
standard version. Installing the current version for XE2 would be
easier than manually checking things.

Fraser.

On 10/11/2017 07:36, Johannes Weinert wrote:

Victor,

I am pretty sure that the lib is part of the TeeChart Pro package.
TeeChart Pro is not part of the C++Builder, only TeeChart Standard is.
For TeeChart Standard the file Tee.lib should exist.

The error can also happen if you build a project which was created with
an older version of TeeChart Pro than currently installed.

HTH,

Hans

Am 09.11.2017 um 11:34 schrieb Victor Schabort:
[ILINK32 Error] Fatal: Unable to open file 'TEE916.LIB'

Using C++ Builder XE2 currently.....

Cannot find this .LIB....

Where can I find this .lib file?
Victor Schabort

Posts: 8
Registered: 12/23/11
Re: Tee916.LIB not found  
Click to report abuse...   Click to reply to this thread Reply
  Posted: Dec 5, 2017 2:43 AM   in response to: Victor Schabort in response to: Victor Schabort
" I have Tee925.lib and TeePro925.lib so your file appears to be with the
standard version. Installing the current version for XE2 would be
easier than manually checking things."

What do you mean by installing the current version for XE2 ....?
TeeChart Standard comes bundled with C++ Builder - that's all I need
Johannes Weinert

Posts: 90
Registered: 7/19/02
Re: Tee916.LIB not found  
Click to report abuse...   Click to reply to this thread Reply
  Posted: Dec 5, 2017 11:40 PM   in response to: Victor Schabort in response to: Victor Schabort
Hi,

it wasn't my suggestion, however, did you solve your problem?

If not, have the IDE remove the faulty lib entries from the project file
by opening the project. Also search all files of the project (and of
statically linked libraries) for #pragma link statements using Tee916
and TeePro916.

Then the linker error should go away.

If the standard TeeChart library is not added to the project
automatically you can drop a TChart object on a form of the project
which does not have any TeeChart component and save and then undo the
change in the unit.

HTH

Hans

Am 05.12.2017 um 11:43 schrieb Victor Schabort:

" I have Tee925.lib and TeePro925.lib so your file appears to be with the
standard version. Installing the current version for XE2 would be
easier than manually checking things."

What do you mean by installing the current version for XE2 ....?
TeeChart Standard comes bundled with C++ Builder - that's all I need
Victor Schabort

Posts: 8
Registered: 12/23/11
Re: Tee916.LIB not found  
Click to report abuse...   Click to reply to this thread Reply
  Posted: Dec 6, 2017 12:56 AM   in response to: Johannes Weinert in response to: Johannes Weinert
I removed the reference to the tee916.lib and problem was solved.
Thanks

Johannes Weinert wrote:
Hi,

it wasn't my suggestion, however, did you solve your problem?

If not, have the IDE remove the faulty lib entries from the project file
by opening the project. Also search all files of the project (and of
statically linked libraries) for #pragma link statements using Tee916
and TeePro916.

Then the linker error should go away.

If the standard TeeChart library is not added to the project
automatically you can drop a TChart object on a form of the project
which does not have any TeeChart component and save and then undo the
change in the unit.

HTH

Hans

Am 05.12.2017 um 11:43 schrieb Victor Schabort:

" I have Tee925.lib and TeePro925.lib so your file appears to be with the
standard version. Installing the current version for XE2 would be
easier than manually checking things."

What do you mean by installing the current version for XE2 ....?
TeeChart Standard comes bundled with C++ Builder - that's all I need
Legend
Helpful Answer (5 pts)
Correct Answer (10 pts)

Server Response from: ETNAJIVE02